

extends ../../includes/layout


block content
    link(href='/vendor/bootstrap-daterangepicker/daterangepicker.css' rel='stylesheet')

    link(href='/vendor/clockpicker/css/bootstrap-clockpicker.min.css' rel='stylesheet')

    link(href='/vendor/jquery-asColorPicker/css/asColorPicker.min.css' rel='stylesheet')

    link(href='/vendor/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css' rel='stylesheet')

    link(rel='stylesheet' href='/vendor/pickadate/themes/default.css')
    link(rel='stylesheet' href='/vendor/pickadate/themes/default.date.css')
    link(href='https://fonts.googleapis.com/icon?family=Material+Icons' rel='stylesheet')

    .d-flex.align-items-center.mb-4
        h4.fs-20.font-w600.mb-0.me-auto
    .row
        .col-xl-12
            .card
                .card-header
                    h4.card-title #{nav}
                .card-body
                    .row
                        .col-sm-12
                            .basic-form
                                form
                                    input(type="text" name="action" id="action", value=action)
                                    input(type="text" name="id" id="id", value=id)
                                    .mb-3.row
                                        label.col-sm-3.col-form-label Room Name
                                        .col-sm-9
                                            input.form-control.solid(type='text' required value=item.name)#name
                                    .mb-3.row
                                        .col-sm-10
                                            button.btn.btn-primary(type='button')#btn_submit #{action}


block script
    script(src='/vendor/bootstrap-daterangepicker/daterangepicker.js')
    script(src='/vendor/clockpicker/js/bootstrap-clockpicker.min.js')
    script(src='/vendor/jquery-asColor/jquery-asColor.min.js')
    script(src='/vendor/jquery-asGradient/jquery-asGradient.min.js')
    script(src='/vendor/jquery-asColorPicker/js/jquery-asColorPicker.min.js')
    script(src='/vendor/bootstrap-material-datetimepicker/js/bootstrap-material-datetimepicker.js')
    script(src='/vendor/pickadate/picker.js')
    script(src='/vendor/pickadate/picker.time.js')
    script(src='/vendor/pickadate/picker.date.js')
    script.

        var action = $('#action').val()
        var id = $('#id').val()

        $('#btn_submit').click(function(){
            var name = $('#name').val();
            var data = {
                name:name,
                user_id:user_id,
                id:$('#id').val()
            }

            console.log(data);

            if(name==''){
                $('#name').focus();
            }else{
                if($('#action').val()=='edit'){
                    swal({
                        title: "Are you sure?",
                        text: action+" data ? ",
                        type: "warning",
                        showCancelButton: true,
                        confirmButtonColor: '#DD6B55',
                        confirmButtonText: 'Yes, I am sure!',
                        cancelButtonText: "No, cancel it!"
                    }).then(function(result) {
                        console.log(result)
                        if(result.value){
                            edit_data(data)
                        }
                    })
                }else{
                    swal({
                        title: "Are you sure?",
                        text: action+" data ? ",
                        type: "warning",
                        showCancelButton: true,
                        confirmButtonColor: '#DD6B55',
                        confirmButtonText: 'Yes, I am sure!',
                        cancelButtonText: "No, cancel it!"
                    }).then(function(result) {
                        console.log(result)
                        if(result.value){
                            add_data(data);
                        }
                    })
                }   

            }

        });

        function edit_data(data){

            $.ajax({
                url: "#{base_url}admin/room/edit",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:data,
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        swal({
                            title: "Success!",
                            text:  data.message,
                            type: "success",
                            showCancelButton: true,
                            confirmButtonColor: '#DD6B55',
                            confirmButtonText: 'Back to list',
                            cancelButtonText: "Stay this page"
                        }).then(function(result) {
                            console.log(result)
                            if(result.value){
                                window.location = "#{base_url}admin/room";
                            }
                        })
                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }

                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                    console.log(xhr);
                    console.log(status);
                    console.log(error);
                    //redirect_login();
                },
            });
        }

        function add_data(data){

            $.ajax({
                url: "#{base_url}admin/room/create",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:data,
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        swal("Success", data.message, "success");
                        $('#action').val('edit')
                        $('#id').val(data.item._id)
                        $('#btn_submit').text('edit')

                        swal({
                            title: "Success!",
                            text:  data.message,
                            type: "success",
                            showCancelButton: true,
                            confirmButtonColor: '#DD6B55',
                            confirmButtonText: 'Back to list',
                            cancelButtonText: "Stay this page"
                        }).then(function(result) {
                            console.log(result)
                            if(result.value){
                                window.location = "#{base_url}admin/room";
                            }
                        })
                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }

                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                    console.log(xhr);
                    console.log(status);
                    console.log(error);
                    //redirect_login();
                },
            });
        }









